www.digitalmars.com         C & C++   DMDScript  

digitalmars.D.bugs - DMD linux don't work with GCC4 (or libstdc++.6)

reply Lars Ivar Igesund <larsivar igesund.net> writes:
DMD complains about missing libstdc++.5 if only gcc4 is installed.

Seen on Kubuntu 5.10 Breezy Badger

Lars Ivar Igesund
Nov 02 2005
parent reply =?ISO-8859-1?Q?Jari-Matti_M=E4kel=E4?= <jmjmak invalid_utu.fi> writes:
Lars Ivar Igesund wrote:
 DMD complains about missing libstdc++.5 if only gcc4 is installed.
 
 Seen on Kubuntu 5.10 Breezy Badger
 
 Lars Ivar Igesund

I guess most of us already know that. Walter seems to be using an ancient Linux distro (RH9 IIRC). I hope he gets time to fix these Linux issues someday (preferably sooner than later :)
Nov 02 2005
parent Lars Ivar Igesund <larsivar igesund.net> writes:
Jari-Matti Mäkelä wrote:

 Lars Ivar Igesund wrote:
 DMD complains about missing libstdc++.5 if only gcc4 is installed.
 
 Seen on Kubuntu 5.10 Breezy Badger
 
 Lars Ivar Igesund

I guess most of us already know that. Walter seems to be using an ancient Linux distro (RH9 IIRC). I hope he gets time to fix these Linux issues someday (preferably sooner than later :)

Yes, although it was no problem installing just that library. Using gcc4 as the backend when using DMD don't seem to cause any troubles. Lars Ivar Igesund
Nov 02 2005